#! /bin/sh

HDF4=`pwd`/hdf4
mkdir -p $HDF4 
mkdir -p hdf4-src
cd hdf4-src

echo ********************************************************************************
echo *                               Building JPEG                                  *
echo ********************************************************************************
tar -xvzf ../tars/jpegsrc.v6b.tar.gz
cd jpeg-6b
./configure --prefix=$HDF4
make
mkdir -p $HDF4/bin $HDF4/lib $HDF4/include $HDF4/man; mkdir -p $HDF4/man/man1
make install install-lib install-headers
cd ..

echo ********************************************************************************
echo *                               Building SZIP                                  *
echo ********************************************************************************
tar -xvzf ../tars/szip-2.1.tar.gz
cd szip-2.1
./configure --prefix=$HDF4 --enable-shared=no
make
make install
cd ..

echo ********************************************************************************
echo *                               Building ZLIB                                  *
echo ********************************************************************************
tar -xvzf ../tars/zlib-1.2.3.tar.gz
cd zlib-1.2.3
./configure --prefix=$HDF4
make
make install
cd ..

echo ********************************************************************************
echo *                               Building HDF4                                  *
echo ********************************************************************************
tar -xvzf ../tars/hdf-4.2.5.tar.gz
cd hdf-4.2.5
./configure --prefix=$HDF4 --with-szlib=$HDF4 --with-jpeg=$HDF4 --with-zlib=$HDF4
make
make install
cd ..

rm -f $HDF4/lib/*.la
